glab(1)

NAME
glab-runner-list - List GitLab CI/CD runners.

SYNOPSIS
glab runner list [flags]

DESCRIPTION
List runners for a project (default), group, or instance. Use -R, --repo to list runners for another repository. Instance scope requires administrator access.

OPTIONS
-g, --group=""
    List runners for a group. Ignored if -R/--repo is set.

-i, --instance[=false]
    List all runners available to the user (instance scope).

-F, --output="text"
    Format output as: text, json.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # List runners for the current project
    $ glab runner list
    # List runners for a specific project
    $ glab runner list -R owner/repo
    # List runners for a group
    $ glab runner list --group mygroup
    # List runners as JSON
    $ glab runner list --output json

SEE ALSO
glab-runner(1)